c===============================================================================
c
c  Questions about this data base can be directed to
c     Antoinette L. Brenkert 
c     Carbon Dioxide Information Analysis Center (CDIAC)
c     Oak Ridge National Laboratory
c     Oak Ridge, Tennessee
c     Phone 423-574-7322
c     Email: azt@ornl.gov
c  or Yi-Fan Li
c     Canadian Global Emissions Inventory Centre
c     Atmospheric Environment Service
c     Environment Canada
c     4905 Dufferin Street
c     Downsview, Ontario M3H5T4
c     Canada
c     Email: yfli@dow.on.doe.CA
c 
c Source:
c Li, Y. F., "Global Population Distribution Database",
c           A Report to the United Nations Environment Programme,
c           under UNEP Sub-Project FP/1205-95-12, March 1996.
c Li, Y. F., McMillan, A., and Scholtz, M. T., "Global
c          HCH/Lindane usage with 1X1 longitude/latitude resolution",
c          Environmental Science & Technology (in press).
c
c Data Description:
c geiaid = 1000*jgrid+igrid
c lat(itude) = (jgrid-91)+0.5
c long(itude) = (igrid-181)+0.5
c pop = 1990 population density compiled by yi-fan li
c perc(entage) = percentage of the population in a gridcell of population 
c    of country
c ratec = percentage of the area of a country contained in a gridcell
c rateg = country-specific percentage of the gridcell occupied by land or ocean
c uc = Cover-Id
c  "0":    All covered by sea
c  "1":    Entirely contained in one country
c  "2":    Shared by two countries
c  "3":    Shared by three countries
c  "4":    Shared by four countries
c  "10":   Shared by one country and ocean
c  "20":   Shared by two countries and ocean
c  "30":   Shared by three countries and ocean
c  "40":   Shared by four countries and ocean
c unid = United Nations three digit country code
c name = country/region name
c acarea = total gridcell area multiplied by rateg (units m2)
c area = where no rateg was identified, gridcell is based on latitudinal 
c    location (units m2)
c The Goddard Space Institute's Grid cell calculations can be obtained from
c    GISS@NASAGISS.GISS.NASA.GOV
c===============================================================================
c
c note double precision to avoid round-off errors
      real*8 pop,lat,long,area,acarea
      real*8 spop,sarea
      character*6 geiaid
      character*3 unid
      character*20 name
c      
c prepare for summations:
      spop=0.d0
      sperc=0.d0
      sratec=0.d0
      srateg=0.d0
      sarea=0.d0
      do 100 i=1,24511
c open and read file:
        open(10,file= 'merged.dat',status='old')
c       open(12,file= 'merged.out',status='old')
        read(10,10,end=911)
     & geiaid,lat,long,pop,perc,ratec,rateg,uc,unid,name,acarea,area
        if (acarea.eq.0.0d0) acarea=area
c echo print:
c       write(12,12)
c    & geiaid,lat,long,pop,perc,ratec,rateg,uc,unid,name,acarea
c sum:
      spop=spop+pop
      sperc=sperc+perc
      sratec=sratec+ratec
      srateg=srateg+rateg
      sarea=sarea+acarea
100   continue
c
10    format(a6,2x,f6.1,2x,f6.1,2x,e10.1,2x,f8.4,x,f8.4,2x,f8.4,4x,
     &i2,2x,a3,2x,a20,2x,f18.2,2x,f18.2)
12    format(a6,2x,f6.1,2x,f6.1,2x,f18.2,2x,f8.4,x,f8.4,2x,f8.4,4x,
     &i2,2x,a3,2x,a20,2x,f18.2)
911   continue
c write summations to the screen:
      write (*,*) 'spop=',spop
      write (*,*) 'sperc=',sperc
      write (*,*) 'sratec=',sratec
      write (*,*) 'srateg=',srateg
      write (*,*) 'sarea=',sarea
c
      stop
      end 
c===============================================================================

