********************************************************************************
  ;
  options ps=300 ls=100;
  data new;
  infile "merged.dat";
  input geiaid 6. @9 lat 6.1 @17 long 6.1 @25 pop 10.1 @37 perc 8.4  
  @46 ratec 8.4 @56 rateg 8.4 @66 uc 4. @72 unid $char3. @77 name $char20.
  @99 acarea 18.2 @119 area 18.2;
  ;
********************************************************************************
  
Source:
  Li, Y. F., "Global Population Distribution Database",
           A Report to the United Nations Environment Programme,
           under UNEP Sub-Project FP/1205-95-12, March 1996.
  Li, Y. F., McMillan, A., and Scholtz, M. T., "Global
           HCH/Lindane usage with 1X1 longitude/latitude resolution",
           Environmental Science & Technology (in press).
   
Questions about this data base can be directed to
  Antoinette L. Brenkert
  Carbon Dioxide Information Analysis Center (CDIAC)
  Oak Ridge National Laboratory
  Oak Ridge, Tennessee
  Phone 423-574-7322
  Email: azt@ornl.gov
or Yi-Fan Li
  Canadian Global Emissions Inventory Centre
  Atmospheric Environment Service
  Environment Canada
  4905 Dufferin Street
  Downsview, Ontario M3H5T4
  Canada
  Email: yfli@dow.on.doe.CA
   
The same data are available: 
in dBase format from:
  UNEP Global Resource Information Database, EROS Data Center
  Gene Fosnight
  Phone:  605-594-6051
  FAX:    605-594-6529
  E-mail: fosnight@dgj.cr.usgs.gov or yfli@dow.on.doe.ca

in GEIA format through >ftp ncardata.ucar.edu or:
  GEIA Data Management and Information Exchange Center
  Debra Hopkins
  Phone: 303-442-6866
  E-mail: hopkins@rmii.com

  geiaid = 1000*jgrid+igrid
  lat(itude) = (jgrid-91)+0.5
  long(itude) = (igrid-181)+0.5
  pop = 1990 population density compiled by yi-fan li
  perc(entage) = percentage of the population in a gridcell of population 
      of country
  ratec = percentage of the area of a country contained in a gridcell
  rateg = country-specific percentage of the gridcell occupied by land or sea
  uc = Cover-Id
   "0":    All covered by sea
   "1":    Entirely contained in one country
   "2":    Shared by two countries
   "3":    Shared by three countries
   "4":    Shared by four countries
   "10":   Shared by one country and sea
   "20":   Shared by two countries and sea
   "30":   Shared by three countries and sea
   "40":   Shared by four countries and sea
  unid = united nations three digit country code
  name = country/region name
  acarea = gridcell area multiplied by fraction of that gridcell allocated 
      to a country (units in m2)
  area = where no rateg was identified area of gridcell based on latitudinal 
      location was used:  gridcell areas were calculated according to the 
      method from the Goddard Space Institute's Grid cell calculations which 
      can be obtained from GISS@NASAGISS.GISS.NASA.GOV (units in m2)
  note that if the original data file did not provide a rateg 
      (country-specific percentage of the gridcell occupied by land) then the 
      full calculated gridcell area can be used (with caution))

********************************************************************************
  if acarea=0.d0 then acarea=area;
  run;

  proc sort data=new; 
  by name;
  proc means noprint; 
  by name;
  var pop perc ratec acarea ;
  output out=sums sum=spop sperc sratec aream2;
  data sums; set sums;
  file 'out';
  put @4 cunid $char3. @8 name $char20. @29 _freq_ 4. @33 spop 10. 
  @44 sperc 8.4 @53 sratec 8.4 @62 aream2 16.;

  run;
********************************************************************************


